%global     alphatag        20100826
%global     svn_revision    svn5543
%global     debug_package   %{nil}

# The source for this package was pulled from upstream's subversion (svn).
# Use the following commands to generate the tarball:
# svn export -r 5543 http://svn.dsource.org/projects/tango/trunk tango-20100826svn5543
# tar -cJvf tango-20100826svn5543.tar.xz tango-20100826svn5543

Name:           tango
Version:        0.99.9
Release:        19.%{alphatag}%{svn_revision}%{?dist}
Summary:        The Developer's Library for D

Group:          Development/Libraries
# Preferred license is the Academic Free License v3.0. All Tango project
# release their code under the terms of this license.
# Depending on your needs, the binary attribution of the BSD license may be an
# unwelcome restriction, in which case the AFL is the correct license to apply. 
License:        AFL or BSD
URL:            http://www.dsource.org/projects/tango
Source0:        %{name}-%{alphatag}%{svn_revision}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ldc
BuildRequires:  ruby

%description
Tango is a cohesive and comprehensive library for the D programming language,
including a complete D runtime along with a tiered set of application services
and utilities.
Tango tries hard to provide a platform agnostic API where it makes sense, and
avoid too many application specific features.
Tango is a cross-platform open-source software library, written in the D
programming language for D programmers. 
Availability of solid and extensive documentation represents a prime factor in
library accessibility, and thus this project is as much about documentation
production as it is about top-notch functionality.

%description -l fr
Tango est un projet cohésif et complet pour le langage de programmation
D, incluant un runtime complet du D avec un panel d'application, de services et
d'outils.
Tango s'efforce de fournir une interface de programmation applicative agnostique
où elle prend du sens et d'éviter les trop nombreuses fonctions d'application
spécifiques. Tango est une bibliothèque multi-plateforme libre, écrite en
langage D pour les programmeur du langage D.
Il existe une documentation solide est grandissante de la bibliothèque ce qui
représente un facteur important pour utiliser cette bibliothèque, et ce projet
a une documentation de bonne qualité autant que les fonctionnalité, haut de
gamme qu'elle propose.

%package devel
Provides:       %{name}-static =  %{version}-%{release}
Summary:        Development files for %{name}
Group:          Development/Libraries

%description devel
Tango is a cross-platform open-source software library, written in the D
programming language for D programmers. It is structured as a cohesive and
comprehensive library for general purpose usage, and is supported by a growing
number of recognized D enthusiasts.
This package contains static libraries and header files that applications can
use to build against tango.
Include *.d file from tango project for import to your project (it is same
thing as header file *.h in C/C++).
Availability of solid and extensive documentation represents a prime factor in
library accessibility, and thus this project is as much about documentation
production as it is about top-notch functionality.

%description -l fr devel
Tango est une bibliothèque multi-plateforme libre, écrite en language D pour les
programmeur du langage D.  C'est un projet structuré comme une bibliothèque
cohésive et compréhensible pour un usage uiversel, et est soutenu par un nombre
de plus en plus important de fervant developpeur D.
Ce paquet contient aussi la bibliothèque staique et les fichier d'en tête
pour que les applications puissent être developpé avec tango.
Inclut les fichiers *.d du projet tango pour les utiliser dans les import de
votre projets ( c'est la même chose que les en-tête *.h en C/C++ ).
Il existe une documentation solide est grandissante de la bibliothèque ce qui
représente un facteur important pour utiliser cette bibliothèque, et ce projet
a une documentation de bonne qualité autant que les fonctionnalité, haut de
gamme qu'elle propose.



%package doc
Summary:        Documentation and examples for %{name}
Group:          Documentation
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description doc
Tango html documentation is in /usr/share/doc/tango.
This package contains D file in examples on the usage of tango library and
programming in D. All these files are in /usr/share/tango/examples/ directory.
Examples in:
- concurrency
- conduits (stream)
- console (stdout stderr)
- logging
- networking
- synchronization
- system
- text and xml
- virtual file system

%description -l fr doc
La documentation html pour tango est dans /usr/share/doc/tango.
Contient des fichiers D, montre comment utilisé la bibliothèque tango et la
programmation en D. Tous ces fichiers sont dans le dossier
/usr/share/tango/examples/.
Exemple en:
- programmation concurrente
- flux
- console (stdout stderr)
- génération de log
- réseau
- synchronisation
- système
- teste et xml
- système virtuel de fichier

%prep
%setup -q -n %{name}-%{alphatag}%{svn_revision}
rm -rf ./build/bin/*
find . -type f \( -name "*.d" -or -name "*.xml" \) -exec sed -i 's/\r//' {} \;

%build
./build/script/bob.rb -v -r ldc -c ldc  -o "%{_d_optflags}" -p linux .

%install
rm -rf      %{buildroot}
rm -rf      %{name}/core/rt
mkdir -p    %{buildroot}%{_libdir}/
mkdir -p    %{buildroot}%{_d_includedir}/%{name}

cp -p ./libtango.a      %{buildroot}%{_libdir}/libtango.a
cp -rp %{name}/*        %{buildroot}%{_d_includedir}/%{name}/
cp -rp object.di        %{buildroot}%{_d_includedir}/

%clean
rm -rf %{buildroot}

%files devel
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt
%{_libdir}/libtango.a
%{_d_includedir}/%{name}   
%{_d_includedir}/object.di
%files doc
%defattr(-,root,root,-)
%doc doc/example

%changelog
* Thu Aug 26 2010 Jonathan MERCIER <bioinfornatics at gmail.com>  0.99.9-19.20100826svn5543
- Update to revision 5543

* Sun Aug 22 2010 Jonathan MERCIER <bioinfornatics at gmail.com>  0.99.9-18.20100818svn5529
- Update to revision 5529

* Wed Aug 11 2010 Jonathan MERCIER <bioinfornatics at gmail.com>  0.99.9-17.20100818svn5525
- Update to revision 5525

* Wed Aug 11 2010 Jonathan MERCIER <bioinfornatics at gmail.com>  0.99.9-15.20100809svn5519
- Update to revision 5519

* Tue Aug 03 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-15.20100802svn5517
- Update to revision 5517

* Tue Aug 03 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-14.20100802svn5515
- Add BuildArch noarch for -doc sub package

* Tue Aug 03 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-13.20100802svn5515
- Perform spec file

* Tue Aug 03 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-12.20100802svn5515
- merge doc and example

* Tue Aug 03 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-11.20100802svn5515
- replace rm -rf    
%%{name}/core/rt/compiler with rm -rf      %%{name}/core/rt
- add package for doc and example

* Mon Aug 02 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-10.20100802svn5515
- Update to revivion 5515

* Fri Jul 29 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-9.20100726svn5508
- Use %%{_d_libdir} instead %%{_libdir}
- Use %%{_d_optflags} instead -release

* Mon Jul 26 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-8.20100726svn5508
- Update to revivion 5508

* Sun Jul 26 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-7.20100720svn5505
- remove tango/core/rt directory in %%install section
- put object.di in %%{_d_includedir}

* Sat Jul 25 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-6.20100720svn5505
- Put documentation and example in devel package
- Change alphatag to YYYYMMDD instead YYYYDDMM
- Update to revivion 5505

* Fri Jul 15 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-5.20101207svn5498
- Update to revivion 5498

* Mon Jul 06 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-4.20102406svn5487
- Fix ruby script

* Thu Jul 01 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-3.20102406svn5487
- Perform french description

* Wed Jun 30 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-2.20102406svn5487
- Fix typo, subversion instead mercurial
- Perform summary and description package
- use ruby script instead binary

* Wed Jun 23 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.99.9-1.20102406svn5487
- Initial release
